%define upstream_name	 Getopt-ArgvFile
%define upstream_version 1.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:	Interpolates script options from files into @ARGV or another array
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch


%description
This module simply interpolates option file hints in @ARGV by the contents of
the pointed files. This enables option reading from files instead of or
additional to the usual reading from the command line. Alternatively, you can
process any array instead of @ARGV which is used by default and mentioned
mostly in this manual.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%__make

%check
%__make test

%install
%makeinstall_std

%files
%doc README
%{perl_vendorlib}/Getopt/*
%{_mandir}/*/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.110.0-7.mga6
+ Revision: 1027822
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 1.110.0-6.mga6
+ Revision: 935441
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.110.0-5.mga5
+ Revision: 739187
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.110.0-4.mga5
+ Revision: 684850
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.110.0-3.mga4
+ Revision: 511907
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.110.0-2.mga3
+ Revision: 367687
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.110.0-1.mga1
+ Revision: 26290
- mageia rebuild
- imported package perl-Getopt-ArgvFile


* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 1.110.0-1mdv2010.0
+ Revision: 407751
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.11-3mdv2009.0
+ Revision: 257092
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 1.11-1mdv2008.1
+ Revision: 135841
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 1.11-1mdv2008.0
+ Revision: 20098
- 1.11


* Fri Feb 17 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.10-1mdk
- Initial Mandriva release.

